Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.bytecode.util
Class CannotCompileException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.saxonica.bytecode.util.CannotCompileException

All Implemented Interfaces:
  Serializable

    public class CannotCompileException

extends Exception

Exception indicating that constructs were encountered in the expression tree that cannot be compiled to bytecode

See Also:
  Serialized Form

Constructor Summary
`CannotCompileException()`
`CannotCompileException(Expression expr)`
`CannotCompileException(Expression expr, String reason)`
`CannotCompileException(String reason)`

Method Summary
`Expression` | `getExpression()`
`String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CannotCompileException

    public CannotCompileException()

### CannotCompileException

    public CannotCompileException(Expression expr)

### CannotCompileException

    public CannotCompileException(String reason)

### CannotCompileException

    public CannotCompileException(Expression expr,
                                  String reason)

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getExpression

    public Expression getExpression()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.